/[gentoo-x86]/eclass/kde4-meta.eclass
Gentoo

Diff of /eclass/kde4-meta.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.57 Revision 1.58
1# Copyright 1999-2011 Gentoo Foundation 1# Copyright 1999-2011 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-meta.eclass,v 1.57 2011/10/06 14:13:29 alexxy Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-meta.eclass,v 1.58 2011/10/29 15:07:16 abcd Exp $
4# 4#
5# @ECLASS: kde4-meta.eclass 5# @ECLASS: kde4-meta.eclass
6# @MAINTAINER: 6# @MAINTAINER:
7# kde@gentoo.org 7# kde@gentoo.org
8# @BLURB: Eclass for writing "split" KDE packages. 8# @BLURB: Eclass for writing "split" KDE packages.
287kde4-meta_create_extractlists() { 287kde4-meta_create_extractlists() {
288 debug-print-function ${FUNCNAME} "$@" 288 debug-print-function ${FUNCNAME} "$@"
289 289
290 # Add default handbook locations 290 # Add default handbook locations
291 # FIXME - legacy code - remove when 4.4.5 is gone or preferrably port 4.4.5. 291 # FIXME - legacy code - remove when 4.4.5 is gone or preferrably port 4.4.5.
292 if [[ $(get_kde_version) < 4.5 ]] && has handbook ${IUSE//+} && use handbook && [[ -z ${KMNOMODULE} ]]; then 292 if [[ $(get_kde_version) < 4.5 ]] && use_if_iuse handbook && [[ -z ${KMNOMODULE} ]]; then
293 # We use the basename of $KMMODULE because $KMMODULE can contain 293 # We use the basename of $KMMODULE because $KMMODULE can contain
294 # the path to the module subdirectory. 294 # the path to the module subdirectory.
295 KMEXTRA_NONFATAL+=" 295 KMEXTRA_NONFATAL+="
296 doc/${KMMODULE##*/}" 296 doc/${KMMODULE##*/}"
297 fi 297 fi
344 kdepim-version.h.cmake" 344 kdepim-version.h.cmake"
345 else 345 else
346 KMEXTRACTONLY+=" 346 KMEXTRACTONLY+="
347 kdepim-version.h" 347 kdepim-version.h"
348 fi 348 fi
349 if has kontact ${IUSE//+} && use kontact; then 349 if use_if_iuse kontact; then
350 KMEXTRA+=" 350 KMEXTRA+="
351 kontact/plugins/${PLUGINNAME:-${PN}}/" 351 kontact/plugins/${PLUGINNAME:-${PN}}/"
352 fi 352 fi
353 ;; 353 ;;
354 kdeutils) 354 kdeutils)
582 kdepim) 582 kdepim)
583 # Disable hardcoded checks 583 # Disable hardcoded checks
584 sed -r -e '/find_package\(KdepimLibs/s/REQUIRED//' \ 584 sed -r -e '/find_package\(KdepimLibs/s/REQUIRED//' \
585 -e '/find_package\((KdepimLibs|Boost|QGpgme|Akonadi|ZLIB|Strigi|SharedDesktopOntologies|Soprano|Nepomuk)/{/macro_optional_/!s/find/macro_optional_&/}' \ 585 -e '/find_package\((KdepimLibs|Boost|QGpgme|Akonadi|ZLIB|Strigi|SharedDesktopOntologies|Soprano|Nepomuk)/{/macro_optional_/!s/find/macro_optional_&/}' \
586 -e '/macro_log_feature\((Boost|QGPGME|Akonadi|ZLIB|STRIGI|SHAREDDESKTOPONTOLOGIES|Soprano|Nepomuk)_FOUND/s/ TRUE / FALSE /' \ 586 -e '/macro_log_feature\((Boost|QGPGME|Akonadi|ZLIB|STRIGI|SHAREDDESKTOPONTOLOGIES|Soprano|Nepomuk)_FOUND/s/ TRUE / FALSE /' \
587 -e '/if[[:space:]]*([[:space:]]*BUILD_.*)/s/^/#OVERRIDE /' \ 587 -e 's/if[[:space:]]*([[:space:]]*BUILD_.*)[[:space:]]*/if(1) # &/' \
588 -e '/if[[:space:]]*([[:space:]]*[[:alnum:]]*_FOUND[[:space:]]*)/s/^/#OVERRIDE /' \ 588 -e 's/if[[:space:]]*([[:space:]]*[[:alnum:]]*_FOUND[[:space:]]*)[[:space:]]*$/if(1) # &/' \
589 -i CMakeLists.txt || die "failed to disable hardcoded checks" 589 -i CMakeLists.txt || die "failed to disable hardcoded checks"
590 # Disable broken or redundant build logic 590 # Disable broken or redundant build logic
591 if ( has kontact ${IUSE//+} && use kontact ) || [[ ${PN} = kontact ]]; then 591 if use_if_iuse kontact || [[ ${PN} = kontact ]]; then
592 sed -e '/if[[:space:]]*([[:space:]]*BUILD_.*)/s/^/#OVERRIDE /' \ 592 sed -e 's/if[[:space:]]*([[:space:]]*BUILD_.*)[[:space:]]*$/if(1) # &/' \
593 -e '/if[[:space:]]*([[:space:]]*[[:alnum:]]*_FOUND[[:space:]]*)/s/^/#OVERRIDE /' \ 593 -e 's/if[[:space:]]*([[:space:]]*[[:alnum:]]*_FOUND[[:space:]]*)[[:space:]]*$/if(1) # &/' \
594 -i kontact/plugins/CMakeLists.txt || die 'failed to override build logic' 594 -i kontact/plugins/CMakeLists.txt || die 'failed to override build logic'
595 fi 595 fi
596 if [[ $(get_kde_version) < 4.5 ]]; then 596 if [[ $(get_kde_version) < 4.5 ]]; then
597 case ${PN} in 597 case ${PN} in
598 kalarm|kmailcvt|kontact|korganizer|korn) 598 kalarm|kmailcvt|kontact|korganizer|korn)

Legend:
Removed from v.1.57  
changed lines
  Added in v.1.58

  ViewVC Help
Powered by ViewVC 1.1.20